
--How to: Convert an Existing SQL Trace Script to an Extended Events Session.
USE MASTER; 
GO 
DECLARE @trace_id int 
SET @trace_id = 1 
SELECT DISTINCT el.eventid, em.package_name, em.xe_event_name AS 'event' 
   , el.columnid, ec.xe_action_name AS 'action' 
FROM (sys.fn_trace_geteventinfo(@trace_id) AS el 
LEFT OUTER JOIN sys.trace_xe_event_map AS em 
      ON el.eventid = em.trace_event_id) 
LEFT OUTER JOIN sys.trace_xe_action_map AS ec 
   ON el.columnid = ec.trace_column_id 
WHERE em.xe_event_name IS NOT NULL AND ec.xe_action_name IS NOT NULL
