
-- which predicates usable with which events
SELECT *
FROM sys.dm_xe_object_columns
WHERE object_name = 'event_name'  -- your event goes here
AND column_type = 'data'

SELECT *
FROM sys.dm_xe_object_columns
WHERE object_name = 'file_read_completed'  
AND column_type = 'data'

-- predicate source
SELECT p.name AS package_name, xo.name AS predicate_name
     , xo.description, xo.object_type
  FROM sys.dm_xe_objects AS xo
  JOIN sys.dm_xe_packages AS p
     ON xo.package_guid = p.guid
  WHERE xo.object_type = 'pred_source'
  ORDER BY p.name, xo.name
